:root {
  --sidebarInlineSize: 15rem;
  --minInlineSize: 48rem;
  --minBlockSize:37.5rem;
  --bottomSize: 5.5rem;
}

.layout {
  min-inline-size: var(--minInlineSize);
}

.layout-block {
  display: flex;
}

.layout-sidebar {
  flex-shrink: 0;
  inline-size: var(--sidebarInlineSize);
  block-size: calc(100vh - var(--bottomSize));
  min-block-size: var(--minBlockSize);
  background: var(--gray60);
  overflow: auto;
}

.layout-main {
  block-size: calc(100vh - var(--bottomSize));
  min-block-size: var(--minBlockSize);
  overflow: auto;
}

.layout-bottom {
  flex: 1;
  block-size: var(--bottomSize);
  overflow: hidden;
}